tclap 1.2.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
TCLAP::DocBookOutput Class Reference

A class that generates DocBook output for usage() method for the given CmdLine and its Args. More...

`#include <DocBookOutput.h>`

Inheritance diagram for TCLAP::DocBookOutput:

## Public Member Functions
virtual void | usage (CmdLineInterface &c)
| Prints the usage to stdout. More...
virtual void | version (CmdLineInterface &c)
| Prints the version to stdout. More...
virtual void | failure (CmdLineInterface &c, ArgException &e)
| Prints (to stderr) an error message, short usage Can be overridden to produce alternative behavior. More...
Public Member Functions inherited from TCLAP::CmdLineOutput
virtual | ~CmdLineOutput ()
| Virtual destructor. More...

## Protected Member Functions
void | substituteSpecialChars (std::string &s, char r, std::string &x)
| Substitutes the char r for string x in string s. More...
void | removeChar (std::string &s, char r)
void | basename (std::string &s)
void | printShortArg (Arg *it)
void | printLongArg (Arg *it)

## Protected Attributes
char | theDelimiter

## Detailed Description

A class that generates DocBook output for usage() method for the given CmdLine and its Args.

Definition at line 43 of file DocBookOutput.h.

## Member Function Documentation

void TCLAP::DocBookOutput::basename | ( | std::string & | s | ) |
| inline protected

Definition at line 203 of file DocBookOutput.h.

Referenced by usage().

void TCLAP::DocBookOutput::failure | ( | CmdLineInterface & | c,
|  | ArgException & | e
| ) |  |
| inline virtual

Prints (to stderr) an error message, short usage Can be overridden to produce alternative behavior.

Parameters

  c | - The CmdLine object the output is generated for.
  e | - The ArgException that caused the failure.

Implements TCLAP::CmdLineOutput.

Definition at line 174 of file DocBookOutput.h.

References TCLAP::ArgException::what().

void TCLAP::DocBookOutput::printLongArg | ( | Arg * | it | ) |
| inline protected

Definition at line 252 of file DocBookOutput.h.

Referenced by usage().

void TCLAP::DocBookOutput::printShortArg | ( | Arg * | it | ) |
| inline protected

Definition at line 212 of file DocBookOutput.h.

References TCLAP::Arg::acceptsMultipleValues(), TCLAP::Arg::isRequired(), removeChar(), TCLAP::Arg::shortID(), and substituteSpecialChars().

Referenced by usage().

void TCLAP::DocBookOutput::removeChar | ( | std::string & | s,
|  | char | r
| ) |  |
| inline protected

Definition at line 194 of file DocBookOutput.h.

Referenced by printShortArg().

void TCLAP::DocBookOutput::substituteSpecialChars | ( | std::string & | s,
|  | char | r,
|  | std::string & | x
| ) |  |
| inline protected

Substitutes the char r for string x in string s.

Parameters

  s | - The string to operate on.
  r | - The char to replace.
  x | - What to replace r with.

Definition at line 182 of file DocBookOutput.h.

Referenced by printShortArg().

void TCLAP::DocBookOutput::usage | ( | CmdLineInterface & | c | ) |
| inline virtual

Prints the usage to stdout.

Can be overridden to produce alternative behavior.

Parameters

  c | - The CmdLine object the output is generated for.

Implements TCLAP::CmdLineOutput.

Definition at line 95 of file DocBookOutput.h.

References basename(), TCLAP::XorHandler::contains(), TCLAP::CmdLineInterface::getArgList(), TCLAP::CmdLineInterface::getDelimiter(), TCLAP::CmdLineInterface::getMessage(), TCLAP::CmdLineInterface::getProgramName(), TCLAP::CmdLineInterface::getVersion(), TCLAP::CmdLineInterface::getXorHandler(), TCLAP::XorHandler::getXorList(), printLongArg(), printShortArg(), and theDelimiter.

void TCLAP::DocBookOutput::version | ( | CmdLineInterface & | c | ) |
| inline virtual

Prints the version to stdout.

Can be overridden to produce alternative behavior.

Parameters

  c | - The CmdLine object the output is generated for.

Implements TCLAP::CmdLineOutput.

Definition at line 90 of file DocBookOutput.h.

References TCLAP::CmdLineInterface::getVersion().

## Member Data Documentation

char TCLAP::DocBookOutput::theDelimiter
| protected

Definition at line 86 of file DocBookOutput.h.

Referenced by usage().

The documentation for this class was generated from the following file:

- DocBookOutput.h